#!/bin/bash

inotifywait -m ./path -e create -e moved_to |
    while read file; do
	    TITLE=$(echo "$file" | awk '{$1=""; print $0}') #formatting
      curl \
        -u :ntfy_token_goes_here \
        -H "Priority: urgent" \
        -H "Tags: arrow_down" \
        -H "Title: Download Complete" \
        -d "$TITLE" \
        https://ntfy_url_goes_here
    done

# Source: https://unix.stackexchange.com/questions/24952/tool-to-monitor-folder-for-new-files-and-run-command-whenever-new-file-is-detect
# Source: https://stackoverflow.com/questions/2961635/using-awk-to-print-all-columns-from-the-nth-to-the-last
